
Figure - 开发 Dev #112367
开发 Dev # 110122 (New): 【MK】管理总票

开发 Dev # 110125 (New): 【MK】【BSP】管理总票

开发 Dev # 110654 (进行中 In Progress): 【MK】【005】【LCD】主任务

开发 Dev # 111900 (完成 Closed): 【MK】【005】【LCD】【TC-RID: 1201-0100501】背光调节Feature

[背光调节]支持手动调节屏幕亮度，当位1-100，亮度范围10-1000cd
2022-10-08 14:19 - CD FW-王伟

Status: 完成 Closed Start date: 2022-10-08

Priority: Normal Due date: 2022-10-22

Assignee: CD FW王武军 % Done: 100%

Category: Estimated time: 0.00 hour

Target version: VX1_MCE_FSE_V3.0_20221030

Description

如下是亮度背光的调整要求，其中第三点，需要BSP关注，以及确认是否满足要求，若不满足则修改修改代码实现此要求，谢谢。

4.1.8.2背光调节

1. 背光调节入口

1. 在“setting”中，增加是否打开自动背光的按钮开关，开光状态为开启，自动背光功能开启

2. 在“控制中心”新增自动背光的快捷开关，打开时，自动背光功能开启，关闭时，功能关闭

3. 支持手动调节屏幕亮度，当位1-100，亮度范围10-1000cd             -> 需要BSP实现

2. 副屏与中控联动需求

1. 支持通过中控调节副屏的屏幕亮度，并且通过以太网通信方式，将亮度档位传给副屏

2. 支持通过中控开启/关闭副屏的自动背光功能，并且通过以太网通信方式

3. 通信优先级：根据触发的时间先后排序

4. 传输方向：主屏和副屏双向交互，主屏可控制副屏的亮度调节，副屏也需反馈自身调节的档位值和开关状态

Related issues:

Related to Figure - 需求 Requirement # 112195: 【Locked需求】La... 完成 Closed 2022-09-28 2022-10-08

History

#1 - 2022-10-08 14:26 - CD FW-王伟

- Target version set to VX1_MCE_FSE_V3.0_20221030

#2 - 2022-11-10 09:59 - CD BSP-唐金泽

- Status changed from New to 进行中 In Progress

- Assignee changed from CD BSP-陈杰 to CD BSP-余霄

- Parent task changed from #110125 to #111900

#3 - 2022-11-14 10:21 - CD BSP-余霄

- Assignee changed from CD BSP-余霄 to CD FW-王伟

如下票，请确认需求是否与以下内容相同：

https://share.thundersoft.com/redmine/issues/111900

test result:===============================================================================

【HW】EVT2-VC1及VC1屏

【SW】FlatBuild_HH_VX1_MCE_FSE.M.D.userdebug.01.00.X101.202211040244

【步骤】

1.链接wifi ADB

2.更改背光等级

更改背光等级为1：
https://share.thundersoft.com/redmine/issues/111900


adb shell "echo 1 > /sys/bus/i2c/devices/0-0040/max96755g/brightness_level" 

查看当前背光值：

adb shell "cat /sys/bus/i2c/devices/0-0040/max96755g/brightness_level" 

3更改背光等级

更改背光等级为100：

adb shell "echo 100 > /sys/bus/i2c/devices/0-0040/max96755g/brightness_level" 

查看当前背光值：

adb shell "cat /sys/bus/i2c/devices/0-0040/max96755g/brightness_level" 

4.调节屏幕亮度，查看背光等级

【实际结果】

2.背光等级为1

3.背光等级为100

4.背光等级符合调节变化，且最大值为100，最小值为1

【测试结果】 节点可以显示当前背光控制等

级===============================================================================

#4 - 2022-11-14 11:24 - CD FW-王伟

- Assignee changed from CD FW-王伟 to CD FW王武军

#5 - 2023-01-30 10:41 - CD FW王武军

- Status changed from 进行中 In Progress to 完成 Closed

- % Done changed from 0 to 100
